Security Enhanced Linux Reference Policy

# Layer: services

## Module: puppet

Tunables Interfaces

### Description:

Puppet is a configuration management system written in Ruby. The client daemon is responsible for periodically requesting the desired system state from the server and ensuring the state of the client system matches.

### Tunables:

puppet_manage_all_files

##### Default value

false

##### Description

Allow Puppet client to manage all file types.

Return

### Interfaces:

puppet_rw_tmp( domain )

##### Summary

Read / Write to Puppet temp files. Puppet uses some system binaries (groupadd, etc) that run in a non-puppet domain and redirects output into temp files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

Return